Subject: Re: bug#71648: 30.0.50; Allow which-key to report on translation bindings

From: Robert Pluim <[email-masked]>
Date: Thu, 20 Jun 2024 16:56:13 +0200

>>>>> On Thu, 20 Jun 2024 10:20:36 -0400, Justin Burkett <[email-masked]> said:

    Justin> On Thu, Jun 20, 2024 at 4:27 AM Robert Pluim <[email-masked]> wrote:
    >> 
    >> >>>>> On Wed, 19 Jun 2024 11:48:01 -0400, Justin Burkett <[email-masked]> said:
    >> 
    Justin> In any event, Robert's example was helpful, and I think that
    Justin> information would be useful to include in which-key.
    >> 
    >> By default, or with a custom option? If the latter, it could be a list
    >> of 'extra' keymaps for `which-key' to consult.

    Justin> I can see an argument for either. My only concern with the option
    Justin> would be explaining what the option does in plain language.

Wordsmithing is easy ;-)

(defcustom which-key-extra-keymaps nil
  "List of extra keymaps to show bindings from.
This allows you to add personal keymaps for `which-key' to check.  A
preset value is available to enable looking in `key-translation-map',
which contains the \\='C-x 8' bindings for entering common characters."
  :type '(choice (list :tag "Translation map" (const key-translation-map))
                 (repeat :tag "Custom" symbol))
  :version "30.1")

Robert
--